package com.ifish.daoImpl;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.ifish.dao.DeviceCameraDao;
import com.ifish.entity.DeviceCamera;
import com.ifish.entity.DeviceCameraId;
import com.ifish.hibernate.HibernateBaseDao;

/** 
 * @ClassName: DeviceCameraDaoImpl 
 * @Description: TODO 
 * @author ggw 
 *  
 */

@Repository
public class DeviceCameraDaoImpl extends HibernateBaseDao<DeviceCamera, DeviceCameraId> implements DeviceCameraDao {


	@Override
	protected Class<DeviceCamera> getEntityClass() {
		return DeviceCamera.class;
	}

	@Override
	public void removeAll(List<DeviceCamera> list) {
		for (DeviceCamera deviceCamera:list) {
			delete(deviceCamera);
		}
	}

}
